For a complete page index, fetch https://developer.close.com/llms.txt

# Delete a User Scheduling Link via OAuth integration

DELETE https://api.close.com/api/v1/scheduling_link/integration/{source_id}/

Please note that only OAuth apps can perform this operation. Using API key will result in an error. See [Authentication with OAuth](https://developer.close.com/api/overview/oauth-authentication) for more information.

Uses the `source_id` field to identify and delete the specified User Scheduling Link created by your OAuth Application.

Reference: https://developer.close.com/api/resources/scheduling-links/delete-integration

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /scheduling_link/integration/{source_id}/:
    delete:
      operationId: delete-integration
      summary: Delete a User Scheduling Link via OAuth integration
      description: >-
        Please note that only OAuth apps can perform this operation. Using API
        key will result in an error. See [Authentication with
        OAuth](https://developer.close.com/api/overview/oauth-authentication)
        for more information.


        Uses the `source_id` field to identify and delete the specified User
        Scheduling Link created by your OAuth Application.
      tags:
        - subpackage_schedulingLinks
      parameters:
        - name: source_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.close.com/api/v1/scheduling_link/integration/source_id/"

response = requests.delete(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/scheduling_link/integration/source_id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'DELETE', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/scheduling_link/integration/source_id/"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/scheduling_link/integration/source_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.close.com/api/v1/scheduling_link/integration/source_id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.close.com/api/v1/scheduling_link/integration/source_id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/scheduling_link/integration/source_id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.DELETE);

IRestResponse response = client.Execute(request);
```